<?php
require("global.php");

if(!$lfjid){
	showerr("你還沒登錄");
}

$lfjdb[money]=get_money($lfjuid);

$webdb[BuySpacesizeMoney]>0 || $webdb[BuySpacesizeMoney]=100;
if($action=='buy')
{
	if($spacesize<1){
		showerr("購買的空間容量不能小于1M");
	}
	if(!is_numeric($spacesize)){
		showerr("購買的空間容量必須是整數多少M");
	}
	$spacesize=intval($spacesize);
	$totalmoney=$spacesize*$webdb[BuySpacesizeMoney];
	if( $lfjdb[money]<$totalmoney ){
		showerr("你的積分不足$totalmoney");
	}
	$spacesize=$spacesize*1024*1024;
	$db->query("UPDATE {$pre}memberdata SET totalspace=totalspace+$spacesize WHERE uid='$lfjuid'");
	add_user($lfjuid,-$totalmoney);
	refreshto("$FROMURL","恭喜你,購買空間succeed,共消費了你 {$totalmoney} 個積分",10);
}

 
//已使用空間
$lfjdb[usespace]=number_format($lfjdb[usespace]/(1024*1024),3);

//系統同意使用空間
$space_system=number_format($webdb[totalSpace],3);

//用戶組同意使用空間
$space_group=number_format($groupdb[totalspace],3);

//用戶本身具有的空間
$space_user=number_format($lfjdb[totalspace]/(1024*1024),3);

//用戶余下空間
$lfjdb[totalspace]=number_format($webdb[totalSpace]+$groupdb[totalspace]+$lfjdb[totalspace]/(1024*1024)-$lfjdb[usespace],3);

require(dirname(__FILE__)."/"."head.php");
require(dirname(__FILE__)."/"."template/buyspace.htm");
require(dirname(__FILE__)."/"."foot.php");

?>